### Constant

# Gio FILE_ATTRIBUTE_ID_FILE

#### Declaration

    #define G_FILE_ATTRIBUTE_ID_FILE "id::file"

#### Description

A key in the “id” namespace for getting a file identifier.

Corresponding `GFileAttributeType` is `G_FILE_ATTRIBUTE_TYPE_STRING`.

An example use would be during listing files, to avoid recursive directory scanning.

For local files on Linux, this is a combination of the file’s device number and inode, so is invariant with respect to hard linking. The format used by other VFS implementations may vary, and some VFS backends may not set it.

For simply seeing if two `GFile` instances refer to the same path on disk, see `g_file_equal()`.